dotnet-new-details(1)

dotnet new details

This article applies to: ✔️ .NET 8 preview 6

NAME

dotnet-new-details - Displays template package metadata.

SYNOPSIS

    dotnet new details [<PACKAGE_NAME>] [--interactive] [--add-source|--nuget-source <SOURCE>]
        [--force] [-d|--diagnostics] [-h|--help]

DESCRIPTION

The dotnet new details command displays the metadata of the template package from the package name provided. By default, the command searches for the latest available version. If the package is installed locally or is found on the official NuGet website, it also displays the templates that the package contains, otherwise it only displays basic metadata.

ARGUMENTS

•   PACKAGE_NAME

    The package identifier to display the details for.

OPTIONS

•   --add-source|--nuget-source <SOURCE>

    By default, dotnet new details uses the hierarchy of NuGet configuration files from the current directory to determine the NuGet source the package can be installed from. If --nuget-source is specified, the source is added to the list of sources to be checked. To check the configured sources for the current directory use dotnet nuget list source. For more information, see Common NuGet Configurations

•   --interactive

    Allows the command to stop and wait for user input or action. For example, to complete authentication.

•   -d|--diagnostics

    Enables diagnostic output.

•   -h|--help

    Displays help for the search command.

EXAMPLES

•   Display package data from the latest version of NUnit templates:

        dotnet new details NUnit3.DotNetNew.Template

•   Display package data of the NUnit templates from a custom NuGet source using interactive mode:

        dotnet new details NUnit3.DotNetNew.Template --add-source "https://api.my-custom-nuget.com/v3/index.json" --interactive

SEE ALSO

•   dotnet new command

•   dotnet new uninstall command

•   dotnet new list command

•   dotnet new search command

•   Custom templates for dotnet new